
public class State {

	String name;
	int id; 
	boolean isMeta;
	boolean solved; //used for LRTDP algorithm. True if Residual < epsilon
	int numRefreshed; //number of times this state was refreshed.
	
	public State(String nome, int Id, boolean meta){
		this.name = nome;
		this.id = Id;
		this.isMeta = meta;
		this.solved = false;
		this.numRefreshed = 0;
		
	}
	
	public synchronized void addNumRefreshed(){
		this.numRefreshed++;
	}

}
