
public class TransitionMatrix {
	double Matrix[][][]; // Acao executada x Estado atual x Proximo estado
	
	double Cumulative[][][];
	private int size_x;
	private int size_y;
	private int size_z;
	
	
	TransitionMatrix(double m[][][], int x, int y, int z){
		this.Matrix = m;
		
		this.size_x = x;
		this.size_y = y;
		this.size_z = z;
		
		this.Cumulative = new double[x][y][z];
		
		for(int i=0; i< x; i++){
			
			for(int j=0; j < y; j++){
				double temp = 0;
				for(int k=0; k < z; k++){
					temp += this.Matrix[i][j][k];
					this.Cumulative[i][j][k] = temp;
				}		
			}		
		}
		
	}
	
	public void printMatrix(){
		
		System.out.println("Transition Matrix:");
		
		for(int i=0; i<this.size_x; i++){
			System.out.println("Action " + i);
			for(int j=0; j < this.size_y; j++){
				for(int k=0; k < this.size_z; k++){
					
					System.out.print(Matrix[i][j][k] + " ");
				}
			System.out.println();
			}
			System.out.println();
			
		}
	}
	
	public static void main(String args[]){
		double a[][][] = {{{0.3, 0.7},{0.2, 0.8}}, {{0.4, 0.6},{0.5, 0.5}}};
		
		for(int i=0; i<2; i++){
			for(int j=0; j<2; j++){
				for(int k=0; k<2; k++){
					
					System.out.print(a[i][j][k] + " ");
				}
			System.out.println();
			}
			System.out.println();
			
		}
		
		TransitionMatrix TestaClasse = new TransitionMatrix(a, 2, 2, 2);
		
		System.out.println("blah");
		
		for(int i=0; i<2; i++){
			for(int j=0; j<2; j++){
				for(int k=0; k<2; k++){
					
					System.out.print(TestaClasse.Cumulative[i][j][k] + " ");
				}
			System.out.println();
			}
			System.out.println();
			
		}     
		
		
	}
	
	
}
